
%start expr

%token TERM '(' ')'

%right '='
%left '+' '-'
%left '*' '\\'
%left UMINUS

%%

expr	:	expr '+' expr
	|	expr '-' expr
	|	expr '*' expr
	|	expr '\\' expr
	|	'(' { $$ = -1; } expr ')'  {$$ = $4; }
	|	'-' expr %prec UMINUS
	|	TERM
	|	expr '=' expr
	;

%%
