/*global*/  void initialize_conflicts(void);
/*global*/  void set_conflicts(int );
/*global*/  void resolve_sr_conflict(int ,int );
/*global*/  void flush_shift(int ,int );
/*global*/  void log_resolution(int ,int ,int ,char *);
/*global*/  void conflict_log(void);
/*global*/  void verbose_conflict_log(void);
/*global*/  void total_conflicts(void);
/*global*/  void count_sr_conflicts(int );
/*global*/  void count_rr_conflicts(int );
/*global*/  void print_reductions(int );
/*global*/  void finalize_conflicts(void);
/*global*/  void set_derives(void);
/*global*/  void free_derives(void);
/*global*/  void getargs(int ,char * *);
/*global*/  char *stringappend(char *,int ,char *);
/*global*/  void openfiles(void);
/*global*/  void open_extra_files(void);
/*global*/  struct _iobuf *tryopen(char *,char *);
/*global*/  void done(int );
/*global*/  void init_lex(void);
/*global*/  int skip_white_space(void);
/*global*/  void unlex(int );
/*global*/  int lex(void);
/*global*/  int parse_percent_token(void);
/*global*/  void main(int ,char * *);
/*global*/  void fatal(char *);
/*global*/  void fatals();
/*global*/  void toomany(char *);
/*global*/  void berror(char *);
/*global*/  void set_nullable(void);
/*global*/  void free_nullable(void);
/*global*/  void output_headers(void);
/*global*/  void output_trailers(void);
/*global*/  void output(void);
/*global*/  void output_token_translations(void);
/*global*/  void output_gram(void);
/*global*/  void output_stos(void);
/*global*/  void output_rule_data(void);
/*global*/  void output_defines(void);
/*global*/  void output_actions(void);
/*global*/  void token_actions(void);
/*global*/  int action_row(int );
/*global*/  void save_row(int );
/*global*/  void goto_actions(void);
/*global*/  int default_goto(int );
/*global*/  void save_column(int ,int );
/*global*/  void sort_actions(void);
/*global*/  void pack_table(void);
/*global*/  int matching_state(int );
/*global*/  int pack_vector(int );
/*global*/  void output_base(void);
/*global*/  void output_table(void);
/*global*/  void output_check(void);
/*global*/  void output_parser(void);
/*global*/  void output_program(void);
/*global*/  void free_itemsets(void);
/*global*/  void free_shifts(void);
/*global*/  void free_reductions(void);
/*global*/  void reader(void);
/*global*/  void read_declarations(void);
/*global*/  void copy_definition(void);
/*global*/  void parse_token_decl(int ,int );
/*global*/  void parse_start_decl(void);
/*global*/  void parse_type_decl(void);
/*global*/  void parse_assoc_decl(int );
/*global*/  void parse_union_decl(void);
/*global*/  void output_ltype(void);
/*global*/  char *get_type_name(int ,struct symbol_list *);
/*global*/  void copy_guard(struct symbol_list *,int );
/*global*/  void copy_action(struct symbol_list *,int );
/*global*/  struct bucket *gensym(void);
/*global*/  void readgram(void);
/*global*/  void record_rule_line(void);
/*global*/  int get_type(void);
/*global*/  void packsymbols(void);
/*global*/  void output_token_defines(struct _iobuf *);
/*global*/  void packgram(void);
/*global*/  int hash(char *);
/*global*/  char *copys(char *);
/*global*/  void tabinit(void);
/*global*/  struct bucket *getsym(char *);
/*global*/  void free_symtab(void);
/*global*/  void TC(unsigned int *,int );
/*global*/  void RTC(unsigned int *,int );
/*global*/  void lalr(void);
/*global*/  void set_state_table(void);
/*global*/  void set_accessing_symbol(void);
/*global*/  void set_shift_table(void);
/*global*/  void set_reduction_table(void);
/*global*/  void set_maxrhs(void);
/*global*/  void initialize_LA(void);
/*global*/  void set_goto_map(void);
/*global*/  int map_goto(int ,int );
/*global*/  void initialize_F(void);
/*global*/  void build_relations(void);
/*global*/  void add_lookback_edge(int ,int ,int );
/*global*/  short * *transpose(short * *,int );
/*global*/  void compute_FOLLOWS(void);
/*global*/  void compute_lookaheads(void);
/*global*/  void digraph(short * *);
/*global*/  void traverse(int );
/*global*/  char *allocate(unsigned int );
/*global*/  void terse(void);
/*global*/  void verbose(void);
/*global*/  void print_token(int ,int );
/*global*/  void print_state(int );
/*global*/  void print_core(int );
/*global*/  void print_actions(int );
/*global*/  void allocate_itemsets(void);
/*global*/  void allocate_storage(void);
/*global*/  void free_storage(void);
/*global*/  void generate_states(void);
/*global*/  void new_itemsets(void);
/*global*/  void append_states(void);
/*global*/  int get_state(int );
/*global*/  struct core *new_state(int );
/*global*/  void initialize_states(void);
/*global*/  void save_shifts(void);
/*global*/  void save_reductions(void);
/*global*/  void augment_automaton(void);
/*global*/  void insert_start_shift(void);
/*global*/  void initialize_closure(int );
/*global*/  void set_fderives(void);
/*global*/  void set_firsts(void);
/*global*/  void closure(short *,int );
/*global*/  void finalize_closure(void);
